%define oversion 22.12.3

Summary:        The new screenshot capture utility, replaces KSnapshot
Name:           spectacle
Version:        23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{oversion}.tar.xz
URL:            https://www.kde.org/

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64kf5newstuff-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kdbusaddons-devel
BuildRequires: knotifications-devel
BuildRequires: kconfig-devel
BuildRequires: ki18n-devel
BuildRequires: kio-devel
BuildRequires: kxmlgui-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kdoctools-devel
BuildRequires: lib64kimageannotator-devel
BuildRequires: lib64kf5kscreen-devel
BuildRequires: lib64kf5kipi-devel
BuildRequires: lib64xcb-util-cursor-devel
BuildRequires: lib64kwaylandserver-devel
BuildRequires: lib64kf5wayland-devel
BuildRequires: lib64plasma-wayland-protocols-devel

Requires:      khotkeys
Requires:      lib64kcolorpicker0 >= 0.2.0
Requires:      lib64kimageannotator0 >= 0.6.0
Provides:      ksnapshot = %version-%release

%description
The new screenshot capture utility, replaces KSnapshot

%files 
%_kf5_bindir/spectacle
%_kf5_datadir/applications/org.kde.spectacle.desktop
%_datadir/dbus-1/interfaces/org.kde.Spectacle.xml
%_datadir/dbus-1/services/org.kde.Spectacle.service
%_iconsdir/*/*/*/*
%_kf5_datadir/knotifications5/spectacle.notifyrc
%_kf5_datadir/metainfo
%_kf5_datadir/locale
%_kf5_libdir/kconf_update_bin/spectacle-migrate-shortcuts
%_kf5_datadir/kconf_update/spectacle_shortcuts.upd
%_kf5_datadir/kglobalaccel/org.kde.spectacle.desktop
%_kf5_datadir/qlogging-categories5/spectacle.categories
%_kf5_datadir/kconf_update/spectacle_newConfig.upd
%_mandir
%_kf5_datadir/kconf_update/50-clipboard_settings_change.py
%_kf5_datadir/kconf_update/spectacle_clipboard.upd
%_kf5_libdir/kconf_update_bin/spectacle-migrate-rememberregion
%_kf5_datadir/kconf_update/spectacle_rememberregion.upd
#--------------------------------------------------------------------

%package -n spectacle-handbook
Summary: spectacle Handbook
BuildArch: noarch
Requires: %name
Group: Documentation

%description -n spectacle-handbook
This package provides spectacle handbook.

%files -n spectacle-handbook
%{_datadir}/doc/HTML

%prep
%setup -qn %{name}-%{oversion}


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DDISABLE_PIPEWIRE=ON
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

#no needed
rm -rf %buildroot//usr/lib/systemd/user/app-org.kde.spectacle.service


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

